Loading...
Searching...
No Matches
BALL::SESVertex Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/SESVertex.h>`

Inheritance diagram for BALL::SESVertex:

## Public Member Functions

Constructors and Destructors
| SESVertex ()
| SESVertex (const SESVertex &sesvertex, bool deep=false)
| SESVertex (const TVector3< double > &point, const TVector3< double > &normal, Index atom, Index index)
virtual | ~SESVertex ()
Assignment
void | set (const SESVertex &sesvertex, bool deep=false)
SESVertex & | operator= (const SESVertex &sesvertex)
void | set (const TVector3< double > point, const TVector3< double > &normal, Index atom, Index index)
void | setPoint (const TVector3< double > &point)
TVector3< double > | getPoint () const
void | setNormal (const TVector3< double > &normal)
TVector3< double > | getNormal () const
void | setAtom (Index atom)
Index | getAtom () const
Predicates
virtual bool | operator== (const SESVertex &) const
virtual bool | operator!= (const SESVertex &) const
virtual bool | operator*= (const SESVertex &) const
Public Member Functions inherited from BALL::GraphVertex< SESVertex, SESEdge, SESFace >
| GraphVertex ()
virtual | ~GraphVertex ()
void | set (const GraphVertex< SESVertex, SESEdge, SESFace > &vertex, bool deep=false)
GraphVertex< SESVertex, SESEdge, SESFace > & | operator= (const GraphVertex< SESVertex, SESEdge, SESFace > &vertex)
void | insert (SESEdge *edge)
void | remove (SESEdge *edge)
Position | numberOfEdges () const
Position | numberOfFaces () const
void | setIndex (Index index)
Index | getIndex () const
bool | join (const SESVertex &vertex)
bool | substitute (SESVertex *vertex)
SESFace * | has (SESFace *face) const
bool | hasEdges () const
bool | hasFaces () const
EdgeIterator | beginEdge ()
EdgeIterator | endEdge ()
FaceIterator | beginFace ()
FaceIterator | endFace ()

## Protected Attributes

Attributes
TVector3< double > | point_
TVector3< double > | normal_
Index | atom_
HashSet< SESEdge * > | edges_
HashSet< SESFace * > | faces_
Index | index_

## Friends

Class friends

- class SESEdge
- class SESFace
- class SolventExcludedSurface
- class SESComputer
- class TSESSingulatityCleaner<double>
- class TriangulatedSES
- class SESTriangulator

class | SESEdge
class | SESFace
class | SolventExcludedSurface
class | SESComputer
class | SESSingularityCleaner
class | TriangulatedSES
class | SESTriangulator
Friends inherited from BALL::GraphVertex< SESVertex, SESEdge, SESFace >

## Additional Inherited Members

Public Types inherited from BALL::GraphVertex< SESVertex, SESEdge, SESFace >
typedef HashSet< SESEdge * >::Iterator | EdgeIterator
typedef HashSet< SESEdge * >::ConstIterator | ConstEdgeIterator
typedef HashSet< SESFace * >::Iterator | FaceIterator
typedef HashSet< SESFace * >::ConstIterator | ConstFaceIterator

## Detailed Description

Generic SESVertex Class.

Definition at line 29 of file SESVertex.h.

## Constructor & Destructor Documentation

## SESVertex() [1/3]

BALL::SESVertex::SESVertex | ( |  | ) |

Default constructor. This method creates a new SESVertex object.

## SESVertex() [2/3]

BALL::SESVertex::SESVertex | ( | const SESVertex & | sesvertex,
|  | bool | deep = false )

Copy constructor. Create a new SESVertex object from another.

Parameters

  sesvertex | the SESVertex object to be copied
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new SESVertex object is linked to the neighbours of the old SESVertex object.

## SESVertex() [3/3]

BALL::SESVertex::SESVertex | ( | const TVector3< double > & | point,
|  | const TVector3< double > & | normal,
|  | Index | atom,
|  | Index | index )

Detailled constructor. Create a new SESVertex object from some nice objects.

Parameters

  point | assigned to the point representet by the vertex
  normal | assigned to the normal vector of the vertex
  atom | assigned to the index of the closest atom
  index | assigned to the index of the vertex

## ~SESVertex()

virtual BALL::SESVertex::~SESVertex | ( |  | ) |

virtual

Destructor. Destructs the RSVertex object.

## Member Function Documentation

## getAtom()

Index BALL::SESVertex::getAtom | ( |  | ) | const

Return the index of the closest atom.

Returns
  Index the index of the closest atom

## getNormal()

TVector3< double > BALL::SESVertex::getNormal | ( |  | ) | const

Return the normal vector of the SESVertex.

Returns
  TVector3<double> the normal vector of the vertex

## getPoint()

TVector3< double > BALL::SESVertex::getPoint | ( |  | ) | const

Return the point represented by the SESVertex.

Returns
  TVector3<double> the point represented by the vertex

## operator!=()

virtual bool BALL::SESVertex::operator!= | ( | const SESVertex & |  | ) | const

virtual

Inequality operator.

Returns
  bool false

Reimplemented from BALL::GraphVertex< SESVertex, SESEdge, SESFace >.

## operator*=()

virtual bool BALL::SESVertex::operator*= | ( | const SESVertex & |  | ) | const

virtual

Similarity operator.

Returns
  bool true

Reimplemented from BALL::GraphVertex< SESVertex, SESEdge, SESFace >.

## operator=()

SESVertex & BALL::SESVertex::operator= | ( | const SESVertex & | sesvertex | ) |

Assign from another SESVertex. The new SESVertex object is linked to the neighbours of the SESVertex object to assign from.

Parameters

  sesvertex | the SESVertex object to assign from

## operator==()

virtual bool BALL::SESVertex::operator== | ( | const SESVertex & |  | ) | const

virtual

Equality operator.

Returns
  bool true

Reimplemented from BALL::GraphVertex< SESVertex, SESEdge, SESFace >.

## set() [1/2]

void BALL::SESVertex::set | ( | const SESVertex & | sesvertex,
|  | bool | deep = false )

Assign from another SESVertex.

Parameters

  sesvertex | the SESVertex object to assign from
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new SESVertex object is linked to the neighbours of the SESVertex object to assign from.

## set() [2/2]

void BALL::SESVertex::set | ( | const TVector3< double > | point,
|  | const TVector3< double > & | normal,
|  | Index | atom,
|  | Index | index )

Assign to two TVector3<double>'s and two indices.

Parameters

  point | assigned to the point represented by the vertex
  normal | assigned to the normal vector of th vertex
  atom | assigned to the index of the closest atom
  index | assigned to the index of the vertex

## setAtom()

void BALL::SESVertex::setAtom | ( | Index | atom | ) |

Set the index of the closest atom of the SESVertex.

Parameters

  atom | the index of the closest atom

## setNormal()

void BALL::SESVertex::setNormal | ( | const TVector3< double > & | normal | ) |

Set the normal vector of the SESVertex.

Parameters

  normal | the new normal vector

Exceptions

  BALL::Exception::DivisionByZero |

## setPoint()

void BALL::SESVertex::setPoint | ( | const TVector3< double > & | point | ) |

Set the point represented by the SESVertex.

Parameters

  point | the new point

## Friends And Related Symbol Documentation

## SESComputer

friend class SESComputer

friend

Definition at line 47 of file SESVertex.h.

## SESEdge

friend class SESEdge

friend

Definition at line 44 of file SESVertex.h.

## SESFace

friend class SESFace

friend

Definition at line 45 of file SESVertex.h.

## SESSingularityCleaner

friend class SESSingularityCleaner

friend

Definition at line 48 of file SESVertex.h.

## SESTriangulator

friend class SESTriangulator

friend

Definition at line 50 of file SESVertex.h.

## SolventExcludedSurface

friend class SolventExcludedSurface

friend

Definition at line 46 of file SESVertex.h.

## TriangulatedSES

friend class TriangulatedSES

friend

Definition at line 49 of file SESVertex.h.

## Member Data Documentation

## atom_

Index BALL::SESVertex::atom_

protected

Definition at line 205 of file SESVertex.h.

## normal_

TVector3<double> BALL::SESVertex::normal_

protected

Definition at line 202 of file SESVertex.h.

## point_

TVector3<double> BALL::SESVertex::point_

protected

Definition at line 199 of file SESVertex.h.